Difference between revisions of "Draft ShapeString/it"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/it|Name=Draft_ShapeString|Name/it=ShapeString|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Forma da testo...|Shortcut=S S|SeeAlso=[[Draft Text/it|Testo Draft]], [[Part Extrude/it|Part Estrusione]]}}
 
{{GuiCommand/it|Name=Draft_ShapeString|Name/it=ShapeString|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Forma da testo...|Shortcut=S S|SeeAlso=[[Draft Text/it|Testo Draft]], [[Part Extrude/it|Part Estrusione]]}}
 +
</div>
  
 
===Descrizione===
 
===Descrizione===
Line 8: Line 10:
 
La forma risultante può essere utilizzata con lo strumento [[Part Extrude/it|Estrusione]] di Part per creare lettere 3D.
 
La forma risultante può essere utilizzata con lo strumento [[Part Extrude/it|Estrusione]] di Part per creare lettere 3D.
  
 +
<div class="mw-translate-fuzzy">
 
Lo strumento [[Draft Text/it|Testo]] di Draft è un'alternativa più semplice che non produce una forma chiusa.
 
Lo strumento [[Draft Text/it|Testo]] di Draft è un'alternativa più semplice che non produce una forma chiusa.
 +
</div>
  
 
[[Image:Draft_ShapeString_Example400.png]]
 
[[Image:Draft_ShapeString_Example400.png]]
 +
<div class="mw-translate-fuzzy">
 +
[[Image:Draft_ShapeString_Example400.png]]
 +
</div>
  
 
=== Utilizzo ===
 
=== Utilizzo ===
  
 +
<div class="mw-translate-fuzzy">
 
# Premere il pulsante {{KEY/it|[[Image:Draft_ShapeString16.png]]  Forma da testo...}}, oppure il tasto {{KEY/it|S}} poi {{KEY/it|S}}  
 
# Premere il pulsante {{KEY/it|[[Image:Draft_ShapeString16.png]]  Forma da testo...}}, oppure il tasto {{KEY/it|S}} poi {{KEY/it|S}}  
 
# Cliccare in un punto della vista in 3D, oppure inserire le sue  [[Draft_Coordinates/it|coordinate]]  
 
# Cliccare in un punto della vista in 3D, oppure inserire le sue  [[Draft_Coordinates/it|coordinate]]  
Line 20: Line 28:
 
# Inserire la spaziatura desiderata poi premere  {{KEY/it|ENTER}}  
 
# Inserire la spaziatura desiderata poi premere  {{KEY/it|ENTER}}  
 
# Premere {{KEY/it|ENTER}} per accettare il tipo di carattere visualizzato, oppure,  
 
# Premere {{KEY/it|ENTER}} per accettare il tipo di carattere visualizzato, oppure,  
# Premere il pulsante con tre puntini {{KEY/it|...}} per selezionare un tipo di carattere diverso.  
+
# Premere il pulsante con tre puntini {{KEY/it|...}} per selezionare un tipo di carattere diverso.
 +
</div>
 +
 
 +
[[Image:SSFontSelect.png]]
 +
 
 +
The text, size, tracking, and font can be changed after creation, by modifying the shape properties.
 +
 
 +
Set the default font file in [[Draft Preferences]], in the {{Button|Texts and dimensions}} tab.
 +
Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).
 +
 
 +
<div class="mw-translate-fuzzy">
 +
=== Limitazioni ===
 +
* Questo strumento non è disponibile nelle versioni precedenti alla 0.14
 +
* Sono supportati i caratteri di tipo TrueType(*.ttf), OpenType(*.otf) e Type1(*.pfb).
 +
* Altezze di testo molto piccole possono  comportare la deformazione dei glifi dei caratteri a causa della perdita dei dettagli nella scalatura.
 +
* La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
 +
* Per creare un testo curvo è possibile utilizzare la macro [[File:FCCircularTextButtom.png|24px]][[Macro_Circular Text/it|Testo circolare]]
 +
</div>
  
 
=== Opzioni ===
 
=== Opzioni ===
  
 +
<div class="mw-translate-fuzzy">
 
* Per inserire le coordinate manualmente, basta inserire i numeri, quindi premere {{KEY/it|ENTER}} tra ognuno dei componenti X, Y e Z.
 
* Per inserire le coordinate manualmente, basta inserire i numeri, quindi premere {{KEY/it|ENTER}} tra ognuno dei componenti X, Y e Z.
 
* Premere {{KEY/it|ESC}} per annullare l'operazione.
 
* Premere {{KEY/it|ESC}} per annullare l'operazione.
 
* Nelle Preferenze di Draft è possibile impostare un file di caratteri predefinito.
 
* Nelle Preferenze di Draft è possibile impostare un file di caratteri predefinito.
 +
</div>
  
 
=== Proprietà ===
 
=== Proprietà ===
  
 +
<div class="mw-translate-fuzzy">
 
==== Vista ====
 
==== Vista ====
 
Sono disponibili le [[DraftStandardProperty/it|Proprietà standard]] di visualizzazione.
 
Sono disponibili le [[DraftStandardProperty/it|Proprietà standard]] di visualizzazione.
Line 47: Line 75:
 
|}
 
|}
 
{{clear}}
 
{{clear}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
=== Script ===
 
=== Script ===
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Lo strumento ShapeString può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console Python]] tramite la seguente funzione:
 
Lo strumento ShapeString può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console Python]] tramite la seguente funzione:
 
+
</div>
 
{{Code|code=
 
{{Code|code=
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
* Trasforma una <code>Stringa</code> di testo in una <code>ShapeString</code> utilizzando un font specificato.
 
* Trasforma una <code>Stringa</code> di testo in una <code>ShapeString</code> utilizzando un font specificato.
 
* <code>FontFile</code> è obbligatorio e deve essere il percorso completo di un file di font supportato
 
* <code>FontFile</code> è obbligatorio e deve essere il percorso completo di un file di font supportato
 
* <code>Size</code> è l'altezza del testo risultante in millimetri
 
* <code>Size</code> è l'altezza del testo risultante in millimetri
 
* <code>Tracking</code> è la spaziatura aggiuntiva tra i caratteri in millimetri
 
* <code>Tracking</code> è la spaziatura aggiuntiva tra i caratteri in millimetri
 +
</div>
 +
 +
The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
  
Esempio:  
+
Esempio:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Draft.makeShapeString("This is a sample text",
 
                      "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf",
 
                      200.0, 10)
 
}}
 
  
===Selezionare un Font===
+
font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
[[Image:SSFontSelect.png]]
+
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
 +
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"
 +
 
 +
S1 = Draft.makeShapeString("This is a sample text", font1, 200)
 +
 
 +
S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)
  
ShapeString utilizza la geometria interna di un font per creare delle forme di FreeCAD. Per fare questo deve poter leggere il file del font attivo (*.tff, etc). Se la casella di selezione dei font è vuota, è necessario digitare il percorso completo del file di font o usare {{KEY | ...}} per selezionare un file di font.
+
ZAxis = FreeCAD.Vector(0, 0, 1)
 +
p2 = FreeCAD.Vector(-1000, 500, 0)
 +
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
 +
S2.Placement = place2
  
=== Limitazioni ===
+
S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
* Questo strumento non è disponibile nelle versioni precedenti alla 0.14
+
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
* Sono supportati i caratteri di tipo TrueType(*.ttf), OpenType(*.otf) e Type1(*.pfb).
+
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)
* Altezze di testo molto piccole possono  comportare la deformazione dei glifi dei caratteri a causa della perdita dei dettagli nella scalatura.
+
}}
* La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
 
* Per creare un testo curvo è possibile utilizzare la macro [[File:FCCircularTextButtom.png|24px]][[Macro_Circular Text/it|Testo circolare]]
 
  
 +
<div class="mw-translate-fuzzy">
 
===Tutorial===
 
===Tutorial===
 
* [[Draft_ShapeString_tutorial/it|Tutorial Forma da testo - ShapeString]]
 
* [[Draft_ShapeString_tutorial/it|Tutorial Forma da testo - ShapeString]]
 +
</div>
 +
 +
{{Draft Tools navi}}
 +
{{Userdocnavi}}
 +
{{clear}}

Revision as of 17:24, 7 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft ShapeString.svg ShapeString

Posizione nel menu
Draft → Forma da testo...
Ambiente
Draft, Arch
Avvio veloce
S S
Introdotto nella versione
-
Vedere anche
Testo Draft, Part Estrusione


Descrizione

Lo strumento ShapeString inserisce una forma composta che riproduce una stringa di testo in un dato punto del documento corrente. Si possono definire gli attributi del testo quali altezza, tipo di carattere, ecc.. La forma risultante può essere utilizzata con lo strumento Estrusione di Part per creare lettere 3D.

Lo strumento Testo di Draft è un'alternativa più semplice che non produce una forma chiusa.

Draft ShapeString Example400.png

Draft ShapeString Example400.png

Utilizzo

  1. Premere il pulsante Draft ShapeString16.png Forma da testo..., oppure il tasto S poi S
  2. Cliccare in un punto della vista in 3D, oppure inserire le sue coordinate
  3. Inserire il testo poi premere ENTER
  4. Inserire l'altezza voluta poi premere ENTER
  5. Inserire la spaziatura desiderata poi premere ENTER
  6. Premere ENTER per accettare il tipo di carattere visualizzato, oppure,
  7. Premere il pulsante con tre puntini ... per selezionare un tipo di carattere diverso.

SSFontSelect.png

The text, size, tracking, and font can be changed after creation, by modifying the shape properties.

Set the default font file in Draft Preferences, in the Texts and dimensions tab. Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).

Limitazioni

  • Questo strumento non è disponibile nelle versioni precedenti alla 0.14
  • Sono supportati i caratteri di tipo TrueType(*.ttf), OpenType(*.otf) e Type1(*.pfb).
  • Altezze di testo molto piccole possono comportare la deformazione dei glifi dei caratteri a causa della perdita dei dettagli nella scalatura.
  • La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
  • Per creare un testo curvo è possibile utilizzare la macro FCCircularTextButtom.pngTesto circolare

Opzioni

  • Per inserire le coordinate manualmente, basta inserire i numeri, quindi premere ENTER tra ognuno dei componenti X, Y e Z.
  • Premere ESC per annullare l'operazione.
  • Nelle Preferenze di Draft è possibile impostare un file di caratteri predefinito.

Proprietà

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

DraftShapeStringProperty it.png

2D Base

  • DatiLabel: nome
  • DatiPlacement: posizionamento del punto base della forma costruita

Draft

  • DatiFont File: Il tipo di carattere utilizzato per disegnare la stringa di testo
  • DatiSize: L'altezza dei caratteri in unità FC
  • DatiString: Il contenuto della stringa di testo
  • DatiTracking: La spaziatura tra i caratteri in unità FC

Script

Lo strumento ShapeString può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Trasforma una Stringa di testo in una ShapeString utilizzando un font specificato.
  • FontFile è obbligatorio e deve essere il percorso completo di un file di font supportato
  • Size è l'altezza del testo risultante in millimetri
  • Tracking è la spaziatura aggiuntiva tra i caratteri in millimetri

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Esempio:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)